Bug 1323334 - Review Request: qtpass - Multi-platform GUI for pass
Summary: Review Request: qtpass - Multi-platform GUI for pass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antti Järvinen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 22:41 UTC by Dave Olsthoorn
Modified: 2016-05-13 06:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:53:30 UTC
Type: ---
antti.jarvinen: fedora-review+


Attachments (Terms of Use)

Description Dave Olsthoorn 2016-04-01 22:41:29 UTC
Spec URL: https://daveo.fedorapeople.org/qtpass-1.1.0-1/qtpass.spec
SRPM URL: https://daveo.fedorapeople.org/qtpass-1.1.0-1/qtpass-1.1.0-1.fc23.src.rpm
Description: QtPass is a multi-platform GUI for pass, the standard unix password manager.
Fedora Account System Username: daveo

Comment 1 Antti Järvinen 2016-04-13 20:15:02 UTC
Hello Dave

and thanks for submitting your package for review. I'm not in packagers group
so I can't submit your package forward but I hope my comments are useful for someone who can. I have checked some parts of the package and I'm listing issues found below. There is nothing catastrophic but a few items need to be changed. Worst thing actually is that the program has been sitting in "generate gnupg keypair" dialog for half an hour now - is the software functional in F25? 

But, here is list of packaging related issues that I have noticed:
 - In fedora jargon GPL-3.0 is called GPLv3. 
 - Package does not own all directories it creates so in %files section 
   it might be necessary to add lines
%dir %{_datadir}/icons/
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
 - Instead of "make %{?_smp_mflag}" you should say just
%make_build
 .. see below for more comments, getting RPM_OPT_FLAGS working deals for example with possible hardening flags that might be very useful with software of this nature.
 - Package requires "password-store" but there is no such package in 
   F25. There is "pass" so maybe this is what was meant? With that dependency
   package never cleanly installs.
 - Is it possible to pack the latest version available in github, is 
   there any functional improvements that affect fedora linux setup? 
 - Rpmlint warnings, see below. 
 - A minimal manpage would be nice. 
 - You'll need http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache due to icons. 

Please see below the full checklist used, some of the issues are repeated there with more verbosity. Good luck in getting your software into fedora linux,

--
Antti Järvinen

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in qtpass
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
 Note: otherwise very good but spec file says "License:        GPL-3.0"
 while, according to https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
 you should abbreviate GPL-3.0 as GPLv3. License of the actual files
 inside looks like GPLv3 so no problem in that part. 
[ ]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/scalable/apps, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/scalable

It might be that %files section is missing something alike
%dir %{_datadir}/icons/
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable

[!]: %build honors applicable compiler flags or justifies otherwise.
You should use just
%make_build
instead of
"make %{?_smp_mflag}"
but for that to work correctly I have previous had to include lines
QMAKE_CXXFLAGS += $$(RPM_OPT_FLAGS)
QMAKE_LFLAGS   += $$(RPM_LD_FLAGS)
into .pro file to have RPM-supplied flags to be handled correctly.
I guess it is also possible to pass them to qmake as command-line
option so modification of .pro file might not be necessary. 
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
See comment above about "password-store" vs. "pass".
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[?]: Package complies to the Packaging Guidelines
 - about, with errors listed here
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qtpass-
     debuginfo
[!]: Package functions as described.
Actually no. "pass" is packaged for fedora and installs just fine.
Spec file says that qtpass depends on "password-store" and I can't find
a package providing that. Changing the requirement line in .spec to
"Requires:       pass" allows the package to be installed. In F25
chroot in starts, asks for email+pgp password but then keeps on showing
"Generate GnuPG keypair" doughnut for 15 minutes .. on 2.4GHz box this
seems to be longish time? 
[!]: Latest version is packaged.
 -> Almost latest 1.1.1 seems to be available in github. 
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     x86_64 tried, works. 
[-]: %check is present and all tests pass.
 %check is not present.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /tmp/1323334-qtpass/results/qtpass-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /tmp/1323334-qtpass/results/qtpass-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm


Rpmlint
-------
Checking: qtpass-1.1.0-1.fc25.x86_64.rpm
          qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm
          qtpass-1.1.0-1.fc25.src.rpm
qtpass.x86_64: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
qtpass.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
qtpass.x86_64: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
qtpass.x86_64: W: non-standard-group Productivity/Security
qtpass.x86_64: W: no-version-in-last-changelog
qtpass.x86_64: W: invalid-license GPL-3.0
qtpass.x86_64: W: no-manual-page-for-binary qtpass
qtpass-debuginfo.x86_64: W: no-version-in-last-changelog
qtpass-debuginfo.x86_64: W: invalid-license GPL-3.0
qtpass.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
qtpass.src: W: spelling-error %description -l en_US multi -> mulch, mufti
qtpass.src: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
qtpass.src: W: non-standard-group Productivity/Security
qtpass.src: W: no-version-in-last-changelog
qtpass.src: W: invalid-license GPL-3.0
3 packages and 0 specfiles checked; 0 errors, 15 warnings.




Diff spec file in url and in SRPM
---------------------------------
--- /tmp/1323334-qtpass/srpm/qtpass.spec	2016-04-13 17:34:21.444495083 +0000
+++ /tmp/1323334-qtpass/srpm-unpacked/qtpass.spec	2016-04-01 21:28:30.000000000 +0000
@@ -3,4 +3,5 @@
 Release:        1%{?dist}
 Summary:        Multi-platform GUI for pass
+Group:          Productivity/Security
 
 License:        GPL-3.0


Requires
--------
qtpass-debuginfo (rpmlib, GLIBC filtered):

qtpass (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    password-store
    rtld(GNU_HASH)



Provides
--------
qtpass-debuginfo:
    qtpass-debuginfo
    qtpass-debuginfo(x86-64)

qtpass:
    application()
    application(qtpass.desktop)
    qtpass
    qtpass(x86-64)



Source checksums
----------------
https://github.com/IJHack/qtpass/archive/v1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 60b458062f54184057e55dbd9c93958a8bf845244ffd70b9cb31bf58697f0dc6
  CHECKSUM(SHA256) upstream package : 60b458062f54184057e55dbd9c93958a8bf845244ffd70b9cb31bf58697f0dc6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1323334
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Dave Olsthoorn 2016-04-14 14:55:28 UTC
(In reply to Antti Järvinen from comment #1)
> Hello Dave
>
Hi, and sorry for the late response, I have been busy the last while.

> and thanks for submitting your package for review. I'm not in packagers group
> so I can't submit your package forward but I hope my comments are useful for
> someone who can. I have checked some parts of the package and I'm listing
> issues found below. There is nothing catastrophic but a few items need to be
> changed. Worst thing actually is that the program has been sitting in
> "generate gnupg keypair" dialog for half an hour now - is the software
> functional in F25? 
Weird... I don't seem to have this error. Maybe it has something to do with my require on password-store instead of pass (which is the package name).

> But, here is list of packaging related issues that I have noticed:
>  - In fedora jargon GPL-3.0 is called GPLv3. 
Fixed in newer version

>  - Package does not own all directories it creates so in %files section 
>    it might be necessary to add lines
> %dir %{_datadir}/icons/
> %dir %{_datadir}/icons/hicolor
> %dir %{_datadir}/icons/hicolor/scalable
I feel weird including these in my package.... since hicolor-icon-theme already owns them. I included it as one of the build-requires in the new version

>  - Instead of "make %{?_smp_mflag}" you should say just
> %make_build
>  .. see below for more comments, getting RPM_OPT_FLAGS working deals for
> example with possible hardening flags that might be very useful with
> software of this nature.
Fixed. Although that gets added on %configure (%qmake_qt5 here) IIRC.

>  - Package requires "password-store" but there is no such package in 
>    F25. There is "pass" so maybe this is what was meant? With that dependency
>    package never cleanly installs.
Fixed.

>  - Is it possible to pack the latest version available in github, is 
>    there any functional improvements that affect fedora linux setup? 
Fixed.

>  - A minimal manpage would be nice.
I'll discuss with upstream, although this is a GUI application so I don't feel the need is very high.

>  - You'll need
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache due to
> icons. 
Fixed.

> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
Fixed, the require on password-store instead of passs was the issue

> - gtk-update-icon-cache is invoked in %postun and %posttrans if package
>   contains icons.
>   Note: icons in qtpass
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Fixed.


> [!]: Requires correct, justified where necessary.
> See comment above about "password-store" vs. "pass".
Fixed.
 
> ===== SHOULD items =====
> 
> Generic:
> [!]: Uses parallel make %{?_smp_mflags} macro.


> [!]: Package functions as described.
> Actually no. "pass" is packaged for fedora and installs just fine.
> Spec file says that qtpass depends on "password-store" and I can't find
> a package providing that. Changing the requirement line in .spec to
> "Requires:       pass" allows the package to be installed. In F25
> chroot in starts, asks for email+pgp password but then keeps on showing
> "Generate GnuPG keypair" doughnut for 15 minutes .. on 2.4GHz box this
> seems to be longish time? 


> [!]: Latest version is packaged.
>  -> Almost latest 1.1.1 seems to be available in github.
Fixed, updated.

> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
Hmm, I didn't hear of this one before

> [-]: %check is present and all tests pass.
>  %check is not present.
No unit tests available

> ===== EXTRA items =====
> 
> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
>      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)
Fixed.

> qtpass.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
> qtpass.src: W: spelling-error %description -l en_US multi -> mulch, mufti
> qtpass.src: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
Fixed.

==New URL's==
Spec URL: https://daveo.fedorapeople.org/qtpass-1.1.1-1/qtpass.spec
SRPM URL: https://daveo.fedorapeople.org/qtpass-1.1.1-1/qtpass-1.1.1-1.fc23.src.rpm

[1]. http://spdx.org/licenses/

Comment 3 Antti Järvinen 2016-04-16 21:48:37 UTC
Yes Yes, now looks much better. A few issues still remain: 
 - it looks like it is possible to install debuginfo package without actual package. As this makes no sense, debuginfo should depend on actual package. To my understanding this should happen automatically but in my environment it does not -> I can install the plain debuginfo package. 
 - Automated review tool "fedora-review" still does not install the package cleanly. The error message is weird "Error: cannot install both qtpass-debuginfo-1.1.1-1.fc25.x86_64 and qtpass-debuginfo-1.1.1-1.fc25.x86_64" so could be a bug in review-tool ; from normal command line I can install the debuginfo even too easily :)

Good: rpmlint is now quiet except for manpage but that depends on upstream.

--
Antti

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-04-18 03:40:35 UTC
> INFO: installing package(s): /tmp/1323334-qtpass/results/qtpass-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm
> ERROR: Command failed. See logs for output.
> # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /tmp/1323334-qtpass/results/qtpass-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm /tmp/1323334-qtpass/results/qtpass-debuginfo-1.1.0-1.fc25.x86_64.rpm

This appears to be another instance of #1322166.


>>  - Package does not own all directories it creates so in %files section 
>>    it might be necessary to add lines
>> %dir %{_datadir}/icons/
>> %dir %{_datadir}/icons/hicolor
>> %dir %{_datadir}/icons/hicolor/scalable
>I feel weird including these in my package.... since hicolor-icon-theme already 
>owns them. I included it as one of the build-requires in the new version

Adding BR:hicolor-icon-theme actually doesn't solve anything. It's about who owns the directories after installation.

Using dnf repoquery -f /usr/share/icons/hicolor and dnf repoquery -f /usr/share/icons, we can see that:
%{_datadir}/icons/ is owned by filesystem, which is always installed, so no need to add this one.
%{_datadir}/icons/hicolor is owned by bunch of different packages, including hicolor-icon-theme.
You have two choices: either add Requires:hicolor-icon-theme, or co-own %{_datadir}/icons/hicolor and %{_datadir}/icons/hicolor/scalable. I think the latter is prefereable, because you don't pull in hicolor-icon-theme.

(In reply to Antti Järvinen from comment #3)
> Yes Yes, now looks much better. A few issues still remain: 
>  - it looks like it is possible to install debuginfo package without actual
> package. As this makes no sense, debuginfo should depend on actual package.
> To my understanding this should happen automatically but in my environment
> it does not -> I can install the plain debuginfo package. 

That's actually OK. debuginfo packages can be installed without the main package on purpose. This is for example necessary when debugging coredumps from old versions of the package. Unfortunately I don't think the Guidelines say anything about dependencies. Nevertheless, current practice is not to specify dependencies either way with the debuginfo package.

Comment 5 Antti Järvinen 2016-04-23 13:11:22 UTC
Hey, 

so it seems to me is that the only real remaining issue is removal of
%dir %{_datadir}/icons/
but leaving the
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
even tough it is weird. 

--
Antti

Comment 6 Dave Olsthoorn 2016-04-23 15:06:47 UTC
> so it seems to me is that the only real remaining issue is removal of
> %dir %{_datadir}/icons/
> but leaving the
> %dir %{_datadir}/icons/hicolor
> %dir %{_datadir}/icons/hicolor/scalable
> even tough it is weird. 

Wouldn't it be better to just require hicolor? I say this as someone that had trouble in the past with rpm directory ownership (google-chrome not being packaged properly by google).

Comment 7 Dave Olsthoorn 2016-04-23 15:26:19 UTC
Spec URL: https://daveo.fedorapeople.org/qtpass-1.1.1-2/qtpass.spec
SRPM URL: https://daveo.fedorapeople.org/qtpass-1.1.1-2/qtpass-1.1.1-2.fc23.src.rpm

Changes:
* require hicolor to resolve directory ownership

Comment 8 Antti Järvinen 2016-04-23 19:32:27 UTC
Must items are ok, rpmlint is quiet except for missing manpage but that is more like upstream problem -> setting this review to passed.

--
Antti

Comment 9 Gwyn Ciesla 2016-04-25 13:20:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/qtpass

Comment 10 Fedora Update System 2016-04-25 15:01:36 UTC
qtpass-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98dadcd224

Comment 11 Fedora Update System 2016-04-25 15:01:44 UTC
qtpass-1.1.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b108c43f47

Comment 12 Fedora Update System 2016-04-25 15:01:49 UTC
qtpass-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52d9d7d25f

Comment 13 Fedora Update System 2016-04-25 17:49:52 UTC
qtpass-1.1.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b108c43f47

Comment 14 Fedora Update System 2016-04-26 00:52:13 UTC
qtpass-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98dadcd224

Comment 15 Fedora Update System 2016-04-26 00:53:12 UTC
qtpass-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52d9d7d25f

Comment 16 Fedora Update System 2016-05-07 11:53:28 UTC
qtpass-1.1.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-12 20:55:08 UTC
qtpass-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-13 06:21:32 UTC
qtpass-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.